Skip to main content
GET
/
doc-agent
/
api
/
v1
/
claims
/
{claim_id}
/
materials
/
invoice-verify
cURL
curl --request GET \
  --url https://agents.textin.com/doc-agent/api/v1/claims/{claim_id}/materials/invoice-verify \
  --header 'x-ti-app-id: <x-ti-app-id>' \
  --header 'x-ti-secret-code: <x-ti-secret-code>'
{
  "materials": [
    {
      "file_name": "发票.jpg",
      "file_size": "523393",
      "file_type": ".jpg",
      "material_id": "material-1234",
      "status": 31,
      "verify_vat_ret": {
        "code": "1",
        "message": "成功"
      }
    }
  ],
  "status": "2"
}

Headers

x-ti-app-id
string
required
x-ti-secret-code
string
required

Path Parameters

claim_id
string
required

案件ID

Query Parameters

material_ids
string[]

材料ID 不传材料ID时,获取案件下所有材料的发票验真结果

Response

200 - application/json

OK

materials
object[]

发票验真结果

Example:
[
{
"file_name": "发票.jpg",
"file_size": "523393",
"file_type": ".jpg",
"material_id": "material-1234",
"status": 31,
"verify_vat_ret": { "code": "1", "message": "成功" }
}
]
status
integer<enum>

status 0 未开始 1 进行中 2 成功 3 失败

Example:

"2"